Subject: Re: pathname conversion
From: [email-masked] (Mikey)

26 Sep 1997 04:38:31 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

On Thu, 25 Sep 1997 19:34:05 -0700, you wrote:

>The same old features are there because there is an implicit requirement 
>for backward compatibility. No, John Q Public generally doesn't care what 
>the technology is underlying his filesystem, but he does care that when a 
>new O/S upgrade comes out, that he doesn't have to
>
>1. learn an entirely new way of dealing with his files, let alone have to 
>convert his hard drive to some new "format" for reasons he doesn't 
>understand, and
>

Why not, They did it when NT and 95 were released neither VFAT nor NTFS
are the same as fat, but I notice that dos programs run just fine under NTFS
is it really that hard to emulate drive letters for programs that expect them?

What they should have done, instead of spending $80,000,000.00 on
publicity was spend $70,000,000.00 on publicity, and $10,000,000.00
on development of an emulator, after all they wrote the original API's
for dos win3.0 3.1 3.11, if they couldn't write an emulator with that
advantage, they must be even stupider than I thought. But then all those
3rd party programs that didn't use the API would have broken,
and maybe some of BILL's buddy's would have gotten complaints.

>2. spend a fortune to upgrade all his software so that he can use his new 
>O/S.
>
>So it appears to me that what Microsoft did was to write software that they 
>believed would sell (and in retrospect, certainly did). From a business 
>perspective, they did the "right thing". From a technological standpoint, 
>we'd probably all be better off if they'd broken backward compatibility and 

My point is you don't have to break backwards compatibility to use new
technology, 8088 programs run just fine on P6's but MS programmers
apparently can't understand this.

>made some real technology advances. Of course, an awful lot of companies 
>have gone bankrupt by following (or leading) technology, but ignoring 
>business issues.
>
>Like most things, much depends on your point of view.
>
>Rick Rankin
>[email-masked]
>
>On Tuesday, September 23, 1997 10:55 PM, Mikey 
>[SMTP:[email-masked]] wrote:
>> On Tue, 23 Sep 1997 19:56:44 -0700, you wrote:
>>
>> >Remember CP/M? When the first IBM PCs came out, IBM wanted a CP/M
>> >compatible O/S, and that's what Microsoft delivered. Aren't developers
>> >generally supposed to deliver what the customer wants? You can argue the 
>> >pros and cons of the O/S and the decision to make a new O/S compatible 
>with
>> >CP/M, but delivering what was asked for doesn't make anyone an idiot.
>>
>> I didn't say they were the ONLY idiots, IBM has their share too. :^)
>> But while the customer is always right, MS hasen't had to deliver
>> an OS to order for IBM in at least 10 years, and I still see the same 
>archaic
>> features supported.
>>
>> >
>> >Besides, it's my experience that the technically superior solution 
>rarely
>> >ends up being the most popular.
>>
>> Do you really think that John Q Public cares whether his file system is
>> FAT VFAT or EXT2FS?
>>
>> Microsoft Sells Pretty pictures, They COULD have made those pretty
>> pictures of a technically superior FS/OS, but they didn't.
>>
>> For what it's worth.
>>
>> >
>> >For what it's worth,
>> >
>> >Rick Rankin
>> >[email-masked]
>> >
>> >On Tuesday, September 23, 1997 11:31 AM, Mikey
>> >[SMTP:[email-masked]] wrote:
>> >> Because Microsoft's programmers are IDIOTS, and
>> >> have been ever since 1982 when dos 1 came out
>> >>
>> >> Most file systems allow for a continuous directory tree
>> >> via the mount command or mount() system call.
>> >>
>> >> this means that when you "mount" an NFS directory,
>> >> say with your $HOME dir from your IFS, all you have to
>> >> do is cd $HOME, and you are able to read, write copy etc.
>> >> files in your $HOME dir at your IFS just like they were
>> >> on your home computer.
>> >>
>> >> This also eliminates the need for multiple partitions,
>> >> huge amounts of "slack" space at the end of every
>> >> file, and many of the other "BENEFITS" of using
>> >> such wonderful DOS isms as drive letters clusters etc...
>> >>
>> >> All of these file system features have been around
>> >> since before dos 1 was released, at first via a file system
>> >> called minix, and more recently and in an even more advanced
>> >> form called ext2, try installing a real OS, called linux.
>> >>
>> >> Now if I could just convince the public, so the good game designers
>> >> would start developing for it I could make this stupid miswritten
>> >> crash prone junk pile of an OS called windoze go faster,
>> >> I've got an 82 MPH fast ball and, I bet I could get 95 out of
>> >> the CD.
>> >>
>> >> On Tue, 23 Sep 1997 09:35:43 -0400 (EDT), you wrote:
>> >>
>> >> >> Does anyone know of a command/function which will give the 
>translation
>> >> >> of the cygnus path name and vice versa?
>> >> >
>> >> >[ several conversion suggestions given ]
>> >> >
>> >> >Why is pathname conversion even necessary? When in Rome do as the 
>Romans
>> >do.
>> >> >
>> >> >Cygnus has done a wonderful job of providing free UNIX software on 
>the
>> >> >PC. However, I gave up using many of the tools because they don't
>> >> >play well in a mixed environment with standard PC tools, mainly 
>because
>> >> >the cygnus tools have a path name convention that is (arbitrarily?)
>> >> >different from DOS/Win32. Obviously there must be a good reason for
>> >> >being different, can someone explain what it is?
>> >> >
>> >> >--
>> >> >John Dennis (Sharp Eye, Inc.)
>> >> >Contract programming services specializing in 3D graphics
>> >> >http://www.sharpeye.com
>> >> >[email-masked]
>> >> >
>> >> >-
>> >> >For help on using this list (especially unsubscribing), send a 
>message
>> >to
>> >> >"[email-masked]" with one line of text: "help".
>> >> >
>> >>
>> >> ([email-masked])
>> >> delete REMOVETHIS from the above to reply
>> >>          Mikey
>> >> -
>> >> For help on using this list (especially unsubscribing), send a message 
>to
>> >> "[email-masked]" with one line of text: "help".
>> >
>> >-
>> >For help on using this list (especially unsubscribing), send a message 
>to
>> >"[email-masked]" with one line of text: "help".
>> >
>>
>> ([email-masked])
>> delete REMOVETHIS from the above to reply
>>          Mikey
>
>

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".